<html>
<head>
<title>OGRE: Ogre::ProgressiveMesh::PMWorkingData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ProgressiveMesh.html">ProgressiveMesh</a>::<a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html">PMWorkingData</a></div>
<h1>Ogre::ProgressiveMesh::PMWorkingData Struct Reference</h1><!-- doxytag: class="Ogre::ProgressiveMesh::PMWorkingData" -->Data used to calculate the collapse costs.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#6de5d3d121da657332de44f0eda1689c">TriangleList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#bc95718fbe89b15ac1dabdcbfc19cd56">mTriList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#b399d0958410761a3e40cc9b1ee79de0">FaceVertexList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#e86f7159118c6ed73b2aef36c9aec3c0">mFaceVertList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of faces.  <a href="#e86f7159118c6ed73b2aef36c9aec3c0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ProgressiveMesh.html#068c955d126c3329366627661cbf91ae">CommonVertexList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#69bbfe9ac518ca8c9519c6de8673f8f3">mVertList</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Data used to calculate the collapse costs. 
<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00191">191</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="bc95718fbe89b15ac1dabdcbfc19cd56"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mTriList" ref="bc95718fbe89b15ac1dabdcbfc19cd56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#6de5d3d121da657332de44f0eda1689c">TriangleList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#bc95718fbe89b15ac1dabdcbfc19cd56">Ogre::ProgressiveMesh::PMWorkingData::mTriList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00193">193</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e86f7159118c6ed73b2aef36c9aec3c0"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mFaceVertList" ref="e86f7159118c6ed73b2aef36c9aec3c0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#b399d0958410761a3e40cc9b1ee79de0">FaceVertexList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#e86f7159118c6ed73b2aef36c9aec3c0">Ogre::ProgressiveMesh::PMWorkingData::mFaceVertList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of faces. 
<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00194">194</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="69bbfe9ac518ca8c9519c6de8673f8f3"></a><!-- doxytag: member="Ogre::ProgressiveMesh::PMWorkingData::mVertList" ref="69bbfe9ac518ca8c9519c6de8673f8f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ProgressiveMesh.html#068c955d126c3329366627661cbf91ae">CommonVertexList</a> <a class="el" href="structOgre_1_1ProgressiveMesh_1_1PMWorkingData.html#69bbfe9ac518ca8c9519c6de8673f8f3">Ogre::ProgressiveMesh::PMWorkingData::mVertList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreProgressiveMesh_8h-source.html#l00195">195</a> of file <a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProgressiveMesh_8h-source.html">OgreProgressiveMesh.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:56 2008
</p>
</body>
</html>
